PANDA_FREETEXTANNOTATION(3)

NAME
panda_freetextannotation - draw a text annotation which doesn't look like a sticky note onto a page

SYNOPSIS
 #include&lt;panda/constants.h&gt;
 #include&lt;panda/functions.h&gt;
 void panda_freetextannotation(panda_pdf *document, panda_page *page,
 char *text, int top, int left, int bottom, int right,
 int flags);

DESCRIPTION

This function inserts a text annotation onto one of the pages in your PDF document. The possible values for the flags arguement are: panda_annotationflag_invisible; panda_annotationflag_hidden; panda_annotationflag_print; panda_annotationflag_nozoom; panda_annotationflag_norotate; panda_annotationflag_noview; panda_annotationflag_readonly -- the values for this arguement may by OR'ed together if needed.

RETURNS

Nothing

EXAMPLE
 #include&lt;panda/constants.h&gt;
 #include&lt;panda/functions.h&gt;
 panda_pdf *demo;
 panda_page *currPage;
 panda_init();
 if ((demo = panda_open ("output.pdf", "w")) == NULL)
 panda_error (panda_true, "demo: could not open output.pdf to write to.");
 currPage = panda_newpage (demo, panda_pagesize_a4);
 panda_freetextannotation(demo, currPage, "Hello", 10, 10, 50, 50, 0);

SEE ALSO

panda_textannotation, panda_insertannotation

VERSION

This documentation was generated for Panda 0.5.2 by autodocbook (http://www.stillhq.com).

AUTHOR

Panda is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2000 - 2003, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

BUGS

There are no known bugs in Panda. If you find one, please contact mikal@stillhq.com and let me know.